This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 860667 - [man sssd-ldap] 'ldap_access_filter' description needs to be updated
[man sssd-ldap] 'ldap_access_filter' description needs to be updated
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: sssd (Show other bugs)
6.2
All Linux
medium Severity medium
: rc
: ---
Assigned To: Jakub Hrozek
Kaushik Banerjee
: ManPageChange
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-26 08:43 EDT by Najmuddin Chirammal
Modified: 2014-06-18 03:08 EDT (History)
4 users (show)

See Also:
Fixed In Version: sssd-1.9.1-1.el6
Doc Type: Bug Fix
Doc Text:
No Documentation Needed
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-21 04:37:16 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Najmuddin Chirammal 2012-09-26 08:43:17 EDT
Description of problem:

As per man sssd-ldap : 

ldap_access_filter (string)
  If using access_provider = ldap, this option is mandatory. It specifies an LDAP search filter criteria that must be met for the user to be granted access on this host. If access_provider = ldap and this option is not set, it will result in all users being denied access. Use access_provider = allow to change this default behavior.

The option 'ldap_access_filter' is not mandatory if we use ldap_access_order = <something other than filter>
Comment 3 Jakub Hrozek 2012-09-26 09:26:54 EDT
Upstream ticket:
https://fedorahosted.org/sssd/ticket/1540
Comment 5 Kaushik Banerjee 2013-01-20 11:25:55 EST
Verified in version 1.9.2-74 in man sssd-ldap

Updated text:
If using access_provider = ldap and ldap_access_order = filter (default), this option is mandatory.
Comment 6 errata-xmlrpc 2013-02-21 04:37:16 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0508.html

Note You need to log in before you can comment on or make changes to this bug.